summaryrefslogtreecommitdiff
path: root/tools/osx-codesign.sh
diff options
context:
space:
mode:
authorisaacs <i@izs.me>2012-08-02 13:35:41 -0700
committerisaacs <i@izs.me>2012-08-02 13:56:50 -0700
commit2dd710e7ea5163af3573d7d53c64858aaa88cf58 (patch)
treed358226f026edad2f047ab36ae2cf62564fb5a13 /tools/osx-codesign.sh
parent37537d5720a563cb63929a0f4014491467767874 (diff)
downloadandroid-node-v8-2dd710e7ea5163af3573d7d53c64858aaa88cf58.tar.gz
android-node-v8-2dd710e7ea5163af3573d7d53c64858aaa88cf58.tar.bz2
android-node-v8-2dd710e7ea5163af3573d7d53c64858aaa88cf58.zip
build: Sign pkg installer for OS X
This makes the installer work on Mountain Lion.
Diffstat (limited to 'tools/osx-codesign.sh')
-rw-r--r--tools/osx-codesign.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tools/osx-codesign.sh b/tools/osx-codesign.sh
new file mode 100644
index 0000000000..65a8d48b8a
--- /dev/null
+++ b/tools/osx-codesign.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -x
+set -e
+
+if ! [ -n "$SIGN" ] && [ $STEP -eq 1 ]; then
+ echo "No SIGN environment var. Skipping codesign." >&2
+ exit 0
+fi
+
+codesign -s "$SIGN" "$PKGDIR"/usr/local/bin/node
+codesign -s "$SIGN" "$PKGDIR"/32/usr/local/bin/node